Create dashboard for Discovery KPIs for Search
Closed, ResolvedPublic4 Story Points

Description

User story: As a stakeholder in the Discovery Department's work, I'd like the team's KPIs visualised in a straightforward manner on the dashboards so I can see the team's progress.

It's been requested by quite a few people looking at the dashboards that we actually display our KPIs on there. Let's do that!

Overview of our KPIs: https://docs.google.com/presentation/d/16Xp1fITqqzeYPZ-QGaGX7UulrwFrKmtz1z9wm3L2y9E/edit#slide=id.g598e67304_0_5

The analyst that picks this task up can ping me for a quick hangout and we can talk it through.

Deskana created this task.Jul 27 2015, 11:49 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Normal.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 11:49 PM
Deskana set Security to None.Jul 27 2015, 11:55 PM
Ironholds edited a custom field.Jul 28 2015, 4:34 PM
Ironholds edited a custom field.
Ironholds assigned this task to mpopov.Jul 28 2015, 8:14 PM
Deskana closed this task as Resolved.Jul 30 2015, 8:17 PM

Excellent work! I need to file some follow-up tasks now.